/**
* @headerfile			tcua 头文件
*/
#include <server_exits/user_server_exits.h>
#include "register_handler_methods.h"
#ifdef __cplusplus
extern "C" {
#endif


	/**
	* @fn					extern "C" DLLAPI int liborigin_register_CALLbacks
	* @return				usually return ITK_ok
	* @brief				liborigin customization entry
	* 此函数必须有规范的写法，必须以dll的名称加上"_"开头
	*/
	//extern DLLAPI  int xy2_register_CALLbacks()
	int xy2_register_CALLbacks()
	{
		int ifail = ITK_ok;
		TC_write_syslog("*******************************************************************************\n");
		TC_write_syslog("*           xy2 register_CALLbacks  is starting                  *\n");
		TC_write_syslog("*******************************************************************************\n");

		fprintf(stdout, "\n xy2	注册成功\n");


		ITKCALL(ifail = CUSTOM_register_exit("xy2", "USERSERVICE_register_methods",
			(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_methods));
		fprintf(stdout, "\n xy2	registering USERSERVICE_custom_register_methods completed!\n");


		ITKCALL(ifail = CUSTOM_register_exit("xy2", "USER_gs_shell_init_module",
			(CUSTOM_EXIT_ftn_t)USERSERVICE_custom_register_handlers));
		fprintf(stdout, "\n xy2	registering USERSERVICE_custom_register_handlers completed!\n");


		return ifail;
	}

#ifdef __cplusplus
}
#endif